glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions | List of all members
Glib::StaticRecMutex Struct Reference

Like Glib::RecMutex, but can be defined at compile time. More...

`#include <glibmm/thread.h>`

Inheritance diagram for Glib::StaticRecMutex:
[legend]

## Public Member Functions

void | lock ()
bool | trylock ()
void | unlock ()
void | lock_full (unsigned int depth)
unsigned int | unlock_full ()
| operator RecMutex& ()
GStaticRecMutex* | gobj ()

## Related Functions

(Note that these are not member functions.)
#define | GLIBMM_STATIC_REC_MUTEX_INIT { G_STATIC_REC_MUTEX_INIT }
| Initializer macro for Glib::StaticRecMutex.

## Detailed Description

Like Glib::RecMutex, but can be defined at compile time.

Use `GLIBMM_STATIC_REC_MUTEX_INIT` to initialize a StaticRecMutex:

Glib::StaticRecMutex mutex = GLIBMM_STATIC_REC_MUTEX_INIT;

A StaticRecMutex can be used without calling Glib::thread_init(), it will silently do nothing then. That will also work when using the implicit conversion to RecMutex&, thus you can safely use RecMutex::Lock with a StaticRecMutex.

Deprecated:
  Use Glib::Threads::RecMutex instead, which can be used statically.

## Member Function Documentation

GStaticRecMutex* Glib::StaticRecMutex::gobj | ( |  | ) |

inline

void Glib::StaticRecMutex::lock | ( |  | ) |

void Glib::StaticRecMutex::lock_full | ( | unsigned int | depth | ) |

Glib::StaticRecMutex::operator RecMutex& | ( |  | ) |

bool Glib::StaticRecMutex::trylock | ( |  | ) |

void Glib::StaticRecMutex::unlock | ( |  | ) |

unsigned int Glib::StaticRecMutex::unlock_full | ( |  | ) |

## Friends And Related Function Documentation

#define GLIBMM_STATIC_REC_MUTEX_INIT { G_STATIC_REC_MUTEX_INIT }

related

Initializer macro for Glib::StaticRecMutex.

Deprecated:
  Glib::StaticRecMutex is deprecated in favour of Glib::Threads::RecMutex, which can be used statically.